package com.ruoyi.syzy.mapper;

import java.util.List;

import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.syzy.domain.BCustomerMarjors;

/**
 * 客户专业收藏Mapper接口
 * 
 * @author mingxue
 * @date 2021-07-27
 */
public interface BCustomerMarjorsMapper {
    /**
     * 查询客户专业收藏
     * 
     * @param id 客户专业收藏ID
     * @return 客户专业收藏
     */
    public BCustomerMarjors selectBCustomerMarjorsById(Long id);

    /**
     * 查询客户专业收藏列表
     * 
     * @param bCustomerMarjors 客户专业收藏
     * @return 客户专业收藏集合
     */
    public List<BCustomerMarjors> selectBCustomerMarjorsList(BCustomerMarjors bCustomerMarjors);

    /**
     * 新增客户专业收藏
     * 
     * @param bCustomerMarjors 客户专业收藏
     * @return 结果
     */
    public int insertBCustomerMarjors(BCustomerMarjors bCustomerMarjors);

    /**
     * 修改客户专业收藏
     * 
     * @param bCustomerMarjors 客户专业收藏
     * @return 结果
     */
    public int updateBCustomerMarjors(BCustomerMarjors bCustomerMarjors);

    /**
     * 删除客户专业收藏
     * 
     * @param id 客户专业收藏ID
     * @return 结果
     */
    public int deleteBCustomerMarjorsById(Long id);

    /**
     * 批量删除客户专业收藏
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBCustomerMarjorsByIds(Long[] ids);

    /**
     * 我的关注
     * 
     * @param customerCode
     * @return
     */
    public List<JSONObject> listMyByPage(String customerCode);
}
